package entities

import "time"

// SystemRolePower 角色授权表
type SystemRolePower struct {
	ID        uint      `json:"id"          xml:"id"          gorm:"primaryKey;not null;comment:能力编号"`
	RoleID    uint      `json:"role_id"     xml:"role_id"     gorm:"comment:关联角色编号"`
	WithType  string    `json:"with_type"   xml:"with_type"   gorm:"size:25;not null;comment:关联类型，如：perm权限、menu菜单、data数据"`
	WithID    uint      `json:"with_id"     xml:"with_id"     gorm:"size:25;not null;comment:关联编号"`
	CreatedAt time.Time `json:"create_time" xml:"create_time" gorm:"<-:false;comment:创建时间"`
}
