package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureRepository struct {
	*db.Repository[entities.Feature]
}

// NewFeatureRepository 创建栏目仓库
func NewFeatureRepository(orm *gorm.DB) *FeatureRepository {
	return &FeatureRepository{
        db.NewRepositoryWith[entities.Feature](orm, "id"),
    }
}

