package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureContentDetailRepository struct {
	*db.Repository[entities.FeatureContentDetail]
}

// NewFeatureContentDetailRepository 创建栏目内容详情仓库
func NewFeatureContentDetailRepository(orm *gorm.DB) *FeatureContentDetailRepository {
	return &FeatureContentDetailRepository{
        db.NewRepositoryWith[entities.FeatureContentDetail](orm, "id"),
    }
}

