package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemRoleRepository struct {
	*db.Repository[entities.SystemRole]
}

// NewSystemRoleRepository 创建系统用户角色仓库
func NewSystemRoleRepository(orm *gorm.DB) *SystemRoleRepository {
	return &SystemRoleRepository{
        db.NewRepositoryWith[entities.SystemRole](orm, "id"),
    }
}

