package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureCategoryRepository struct {
	*db.Repository[entities.FeatureCategory]
}

// NewFeatureCategoryRepository 创建栏目分类仓库
func NewFeatureCategoryRepository(orm *gorm.DB) *FeatureCategoryRepository {
	return &FeatureCategoryRepository{
        db.NewRepositoryWith[entities.FeatureCategory](orm, "id"),
    }
}

