package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureContentRepository struct {
	*db.Repository[entities.FeatureContent]
}

// NewFeatureContentRepository 创建栏目内容仓库
func NewFeatureContentRepository(orm *gorm.DB) *FeatureContentRepository {
	return &FeatureContentRepository{
        db.NewRepositoryWith[entities.FeatureContent](orm, "id"),
    }
}

