package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemPermissionRepository struct {
	*db.Repository[entities.SystemPermission]
}

// NewSystemPermissionRepository 创建系统权限仓库
func NewSystemPermissionRepository(orm *gorm.DB) *SystemPermissionRepository {
	return &SystemPermissionRepository{
        db.NewRepositoryWith[entities.SystemPermission](orm, "id"),
    }
}

