package app

import "github.com/labstack/echo/v4"

type Service interface {
	// Init 初始化服务
	Init(ctx *Context) error
	// Start 启动服务
	Start() error
	// Stop 停止服务
	Stop() error
}

type Routable interface {
	InitRoutes(r *echo.Group)
}
